%global rustflags '-Clink-arg=-Wl,-z,relro,-z,now'
%global debug_package %{nil}
Name:           starship
Version:        1.15.0
Release:        2
Summary:        A customizable prompt for many shells
License:        ISC
URL:            https://starship.rs/
Source0:        https://github.com/starship/starship/archive/refs/tags/v%{version}.tar.gz#/%{name}-%{version}.tar.xz
Source1:        vendor.tar.xz
Source2:        cargo_config
BuildRequires:  cargo-rpm-macros
BuildRequires:  cmake
BuildRequires:  pkgconfig(openssl)

%description
Starship generates shell code which modifies the current shell
behavior to display an extravagant prompt. It installs a hook before
every command invocation to gather additional information for the
prompt, which increases the latency of the prompt (by about 5 ms with
bash on a contemporary 3700X CPU).
The default setup requires Nerd Font and a terminal in dark colors.
dash is not supported as of 1.10.2.

%prep
%autosetup -a1
mkdir -p .cargo
cp %{SOURCE2} .cargo/config

%build
RUSTFLAGS=%{rustflags} cargo build --release

%install
RUSTFLAGS=%{rustflags} cargo install --root=%{buildroot}%{_prefix} --path .
# remove residue crate file
rm %{buildroot}%{_prefix}/.crates.toml
rm %{buildroot}%{_prefix}/.crates2.json

%files
%doc README.md
%license LICENSE
%{_bindir}/starship

%changelog
* Tue Jun 06 2023 Dead Mozay - 1.15.0-2
- Updated to latest snapshot.

* Thu May 25 2023 Dead Mozay <dead_mozay@opensuse.org> - 1.14.2-1
- Initial package.

